import { JSONArray, JSONObject, JSONValue } from '@types';
declare type ReturnType<T extends JSONValue> = T extends JSONObject ? 'object' : T extends JSONArray ? 'array' : T extends number ? 'number' : T extends string ? 'string' : T extends undefined ? 'undefined' : T extends boolean ? 'boolean' : T extends null ? 'null' : never;
/**
 * Returns the type of a value. Limited to json types, excluding undefined.
 * @param v
 */
export declare function typeOfJsonValue<T extends JSONValue>(v: T): ReturnType<T>;
export {};
